var fs = require('fs');
var gUtil = require('gulp-util');
var _ = require('lodash');

var options = {};

try {
  var abc = fs.existsSync('abc.json') ? JSON.parse(fs.readFileSync('abc.json', 'utf8')) : {};
  abc.options = abc.options || {};
} catch(e) {
  gUtil.log('Error parse "abc.json"');
  // process.exit(1);
}

options = require('yargs')
  .boolean('minify')
  .default(_.defaults(abc.options || {}, {
    buildTo: 'build',
    livereloadPort: 35729,
    disableBackup: false
  }))
  .argv;


var defaultOptions = {
    'versionTmpl': true,
    'fillTmpl': true,
    'includeHTML': true,
    'inlineSource': false,
    'cdnToRelativePathProxy': true,
    'relativePathToCdnProxy': false,
    'tms': true,
    'minifierHtml': false,
    'common': false,
    "commonJsName": "common",
    "extractCSS": true,
    "addJSMTracker": false,
    "dedup": true,
    "base64": true,
    "shortenComponentsAndPages": true
  },


  options = _.assign(defaultOptions, options);

abc.SRC_BASE = '.';
abc.BUILD_BASE = options.buildTo;

abc.options = options;
module.exports = abc;
