/**
 * @author 龙喜<xiaolong.lxl@alibaba-inc.com>
 * @description 事件监听
 */

'use strict';

function CompilationEventsPlugin(options) {
  this.options = options;
}

CompilationEventsPlugin.prototype.apply = function(compiler) {
  compiler.plugin('compilation', (compilation) => {
    this.options.onCompilation && this.options.onCompilation(compilation);
  });
};

module.exports = CompilationEventsPlugin;
